Summary: NagiosGrapher collects the output of NagiosPlugins and generates graphs.
%define name smeserver-nagiosgrapher
%define NagiosGrapher NagiosGrapher-1.6.1-rc5-0.3
Name: %{name}
%define version 1.0.1
%define release 0
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
URL: http://www.nagiosexchange.org/NagiosGrapher.84.0.html
Source: %{name}-%{version}.tar.gz
Source1: %{NagiosGrapher}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot/
BuildArch: noarch
Requires: nagios
Requires: smeserver-release >= 7.1.2
Requires: perl-Calendar-Simple 
Requires: ImageMagick-perl 
Requires: perl-GD 
Requires: perl-rrdtool
BuildRequires: autoconf
AutoReq: no

%changelog
* Mon Dec 03 2007 Michael Weinberger <mweinber@neddix.de>
  Version 1.0.1
  fixed icon_image_tag definition ngraph.ncfg 
* Tue Nov 20 2007 Michael Weinberger <mweinber@neddix.de>
- Initial release

%description
NagiosGrapher collects the output of NagiosPlugins and generates graphs.

%prep
%setup -q -n %{name}-%{version}

%build
tar xzf %{SOURCE1}
cd %{NagiosGrapher}
autoconf
cat >> config.layout <<EOF
<Layout sme_server>
        prefix:                         /usr/lib/nagios
        datadir:                        /usr/share
        libdir:                         /usr/lib
        nagios_config:                  /etc/nagios/nagios
        nagios_config_cgi:              /etc/nagios/cgi.cfg
        nagios_images:                  \${datadir}/nagios/images
        nagios_images_logos:            \${datadir}/nagios/images/logos
        nagios_folder_cgi:              \${libdir}/nagios/cgi
        perl_inc:                       /usr/lib/perl5/site_perl/
        ng_config:                      /etc/nagios
        ng_config_sub:                  \${ng_config}/ngraph.d
        ng_daemon:                      /var/lib/nagios/nagios_grapher
        ng_srvext_file:                 /etc/nagios/serviceextinfo.cfg
        ng_srvext_dir:                  /etc/nagios/serviceext
        ng_interface_pipe:              /var/log/nagios/rw/
        ng_logfile:                     /var/log/nagios/ngraph.log
        ng_rrd:                         /var/lib/nagios/rrd
        ng_rrd_font:                    /usr/share/rrdtool/fonts/DejaVuSansMono-Roman.ttf
        ng_cgi:                         /nagios/cgi-bin
        ng_logos:                       /nagios/images/logos
        ng_pid_file:                    \${ng_daemon}/nagios_grapher.pid
        init_script_dir:                /etc/init.d
        logrotate_conf_dir:             /etc/logrotate.d
</Layout>
EOF

./configure --with-layout=sme_server
#%{__make} testdeps

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

cp %{NagiosGrapher}/sbin/rrd2-graph.cgi $RPM_BUILD_ROOT/usr/lib/nagios/cgi
cp %{NagiosGrapher}/sbin/rrd2-system.cgi $RPM_BUILD_ROOT/usr/lib/nagios/cgi
sed -e 's#NETWAYS GmbH"),#NETWAYS GmbH")," (SME Server ",$q->a({-href=>"http://wiki.contribs.org/NagiosGrapher/", -target=>"_blank"}, "contrib")," by Michael Weinberger)",#' <  %{NagiosGrapher}/sbin/graphs.cgi > $RPM_BUILD_ROOT/usr/lib/nagios/cgi/graphs.cgi
cp %{NagiosGrapher}/bin/fifo_write.pl %{NagiosGrapher}/bin/collect2.pl $RPM_BUILD_ROOT/usr/share/nagios/
cp %{NagiosGrapher}/doc/* ${RPM_BUILD_ROOT}/usr/share/nagios/nagiosgrapher/doc/
cp %{NagiosGrapher}/graph.png $RPM_BUILD_ROOT/usr/share/nagios/images/logos/
cp %{NagiosGrapher}/dot.png $RPM_BUILD_ROOT/usr/share/nagios/images/logos/
cp %{NagiosGrapher}/lib/NagiosGrapher/HTML.pm $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/NagiosGrapher/
cp %{NagiosGrapher}/lib/NagiosGrapher/Hooks/*.pm $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/NagiosGrapher/Hooks/
cp %{NagiosGrapher}/lib/NagiosGrapher.pm $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/
ln -fs /usr/lib/perl5/site_perl/NagiosGrapher.pm $RPM_BUILD_ROOT/usr/lib/nagios/cgi
cp -r %{NagiosGrapher}/cfg/templates/* $RPM_BUILD_ROOT/etc/nagios/ngraph.d/samples



rm -f %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/etc/rc.d/@%attr(0755,root,root) &@"\
 -e "s@^/usr/lib/perl5/site_perl/@%attr(0755,root,root) &@"\
 -e "s@^/etc/nagios/ngraph.ncfg@%attr(0644,nagios,root) %config(noreplace)&@"\
 -e "s@^/etc/nagios/nmgraph.ncfg@%attr(0644,nagios,root) %config(noreplace)&@"\
 -e "s@^/etc/nagios/ngraph.d/@%attr(0755,nagios,root) &@"\
 -e "s@^/usr/share/nagios/images/@%attr(0644,nagios,www) &@"\
 -e "s@^/usr/share/nagios/@%attr(0755,root,root) &@"\
 -e "s@^/usr/lib/nagios/cgi/@%attr(0755,nagios,root) &@"\
 -e "s@^/etc/logrotate.d/nagiosgrapher@%attr(0644,root,root) &@"\
 >> %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist

echo "%dir %attr(0755,nagios,root) /etc/nagios/serviceext/" >> %{name}-%{version}-filelist
echo "%dir %attr(0755,nagios,root) /var/lib/nagios/nagios_grapher/" >> %{name}-%{version}-filelist
echo "%dir %attr(0755,nagios,root) /var/lib/nagios/rrd/" >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
NAGIOSUSER=`id -u nagios `
if [ -z "$NAGIOSUSER" ] ; then
	echo "Error: User 'nagios' does not exist."
	exit -1
fi

%post
if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
	/sbin/e-smith/service nagiosgrapher restart
fi

%preun
if [ "x`/bin/cat /proc/1/cmdline`" = "xinit [7]" ] ; then
	if [ $1 = 0 ] ; then # uninstall
		/sbin/e-smith/service nagiosgrapher stop
	fi
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
